<?php

namespace App\Modules\PaxInformationPassenger\Domain;

final class UpdatePaxInformationPassenger
{
    private PaxInformationPassengerStatus $status;
    private IdPaxInformationPassenger $id;

    public function __construct(
        PaxInformationPassengerStatus $status,
        IdPaxInformationPassenger $id
    ) {
        $this->status = $status;
        $this->id = $id;
    }

    public function status():PaxInformationPassengerStatus
    {
        return $this->status;
    }

    public function id():IdPaxInformationPassenger
    {
        return $this->id;
    }
}
